Name: libXi
Version: 1.7.10
Release: 3
License: X11
Summary: X.Org X11 libXi runtime library
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: pkg-config

BuildRequires: libxcb-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: xorg-x11-proto-devel
BuildRequires: xorg-x11-util-macros

%description
X.Org X11 libXi runtime library

%package -n libXi6
Summary: X.Org X11 libXi runtime library

%description -n libXi6
X.Org X11 libXi runtime library
Conflicts: libXi
Obsoletes: libXi

%package devel
Summary: X.Org X11 libXi development package
Requires: libXi6 = %{version}-%{release}
Requires: pkg-config
Requires: xorg-x11-proto-devel

%description devel
X.Org X11 libXi development package

%prep
%setup -q

%build
export CONFIG_SHELL=%{_bindir}/bash
export CONFIG_ENV_ARGS=%{_bindir}/bash

autoreconf -fiv
%configure \
  CPPFLAGS=-I%{prefix}/libiconv \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static \
  #end

%make_build

%check
make check

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libXi6
%defattr(-, qsys, *none)
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libXi.so.6

%files devel
%defattr(-, qsys, *none)
%{_includedir}/X11/extensions/XInput*.h
%{_libdir}/libXi.so
%{_libdir}/pkgconfig/xi.pc
%{_mandir}/man3/*.3*
%{_datadir}/doc/libXi/*.xml

%changelog
* Tue Mar 30 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.7.10
- Obsolete and Conflict old package name provided by qsecofr repo

* Thu Mar 11 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.0.10
- Add missing header file requirements from xorg-x11-proto-devel

* Tue Aug 11 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 1.7.10
- Initial spec
